List ModelDeploymentConfig Versions

View as Markdown
List all versions of a ModelDeploymentConfig.

Path parameters

workspacestringRequired
namestringRequired

Response

Return all versions of a model deployment configuration
namestringformat: "^[\w\-.]+$"<=255 characters

Name of the entity. Name/workspace combo must be unique across all entities. Allowed characters: letters (a-z, A-Z), digits (0-9), underscores, hyphens, and dots.

workspacestringformat: "^[\w\-.]+$"<=255 characters

The workspace of the entity. Allowed characters: letters (a-z, A-Z), digits (0-9), underscores, hyphens, and dots.

created_atdatetime
The timestamp of model entity creation
updated_atdatetime
The timestamp of the last model entity update
entity_versioninteger
Version of this deployment config. Automatically managed.
engineenum

Inference engine selecting the compiler path (nim/vllm/generic)

model_specobject

What model to serve and how — independent of the executor it runs on

executor_configobject

Compute + container settings for the executor the deployment runs on

idstring
Unique identifier for the deployment config
projectstringformat: "^[\w\-./]+$"<=255 characters
The URN of the project associated with this entity.
descriptionstring<=1000 characters
Optional description of the deployment configuration
model_entity_idstring<=255 characters
Optional reference to the base model entity ID for this deployment

Errors

422
Unprocessable Entity Error